Index: org.rtems.cdt.toolchain2/org/rtems/cdt/Activator.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/Activator.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/org/rtems/cdt/Activator.java	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -19,5 +19,4 @@
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.BundleContext;
-import org.rtems.cdt.Constants;
 
 public class Activator extends AbstractUIPlugin {
Index: org.rtems.cdt.toolchain2/org/rtems/cdt/Storage.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/Storage.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/org/rtems/cdt/Storage.java	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -23,8 +23,5 @@
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.runtime.CoreException;
-import org.eclipse.core.runtime.IPath;
-import org.eclipse.core.runtime.Path;
 import org.eclipse.core.runtime.QualifiedName;
-import org.rtems.cdt.Activator;
 
 public class Storage {
Index: org.rtems.cdt.toolchain2/org/rtems/cdt/VolatilePreferenceStore.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/VolatilePreferenceStore.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/org/rtems/cdt/VolatilePreferenceStore.java	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -18,8 +18,4 @@
 
 public class VolatilePreferenceStore extends PreferenceStore implements IPreferenceStore {
-	public VolatilePreferenceStore() {
-		// Do nothing
-	}
-	
 	public void save() {
 		// Do nothing
Index: org.rtems.cdt.toolchain2/org/rtems/cdt/build/EnvironmentSupplier.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/build/EnvironmentSupplier.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/org/rtems/cdt/build/EnvironmentSupplier.java	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -28,8 +28,4 @@
 	
 	private static final int VARIABLE_COUNT = 1;
-	
-	public EnvironmentSupplier() {
-		// Do nothing
-	}
 
 	public IBuildEnvironmentVariable getVariable( String name, IManagedProject project, IEnvironmentVariableProvider provider) {
@@ -49,6 +45,4 @@
 		IBuildEnvironmentVariable variables [] = new IBuildEnvironmentVariable [VARIABLE_COUNT];
 		
-		// System.out.println( Constants.getCounter() + ": getVariables");
-		
 		variables [PATH_INDEX] = getVariable( "PATH", project, provider);
 		
Index: g.rtems.cdt.toolchain2/org/rtems/cdt/build/MacroSupplier.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/build/MacroSupplier.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Copyright (c) 2008
- * Embedded Brains GmbH
- * Obere Lagerstr. 30
- * D-82178 Puchheim
- * Germany
- * rtems@embedded-brains.de
- *
- * The license and distribution terms for this file may be found in the file
- * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
- */
-
-package org.rtems.cdt.build;
-
-import org.eclipse.cdt.managedbuilder.core.IManagedProject;
-import org.eclipse.cdt.managedbuilder.macros.IBuildMacro;
-import org.eclipse.cdt.managedbuilder.macros.IBuildMacroProvider;
-import org.eclipse.cdt.managedbuilder.macros.IProjectBuildMacroSupplier;
-
-public class MacroSupplier implements IProjectBuildMacroSupplier {
-	public MacroSupplier() {
-		// Do nothing
-	}
-
-	public IBuildMacro getMacro( String macroName, IManagedProject project, IBuildMacroProvider provider) {
-		// TODO
-		return null;	
-	}
-
-	public IBuildMacro [] getMacros( IManagedProject project, IBuildMacroProvider provider) {
-		// TODO
-		return null;
-	}
-}
Index: org.rtems.cdt.toolchain2/org/rtems/cdt/preferences/PreferencePage.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/preferences/PreferencePage.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/org/rtems/cdt/preferences/PreferencePage.java	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -13,5 +13,6 @@
 package org.rtems.cdt.preferences;
 
-import org.eclipse.jface.preference.*;
+import org.eclipse.jface.preference.DirectoryFieldEditor;
+import org.eclipse.jface.preference.FieldEditorPreferencePage;
 import org.eclipse.ui.IWorkbenchPreferencePage;
 import org.eclipse.ui.IWorkbench;
Index: org.rtems.cdt.toolchain2/org/rtems/cdt/wizards/BasicSetup.java
===================================================================
--- org.rtems.cdt.toolchain2/org/rtems/cdt/wizards/BasicSetup.java	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/org/rtems/cdt/wizards/BasicSetup.java	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -16,9 +16,17 @@
 import org.eclipse.cdt.managedbuilder.ui.wizards.MBSCustomPageManager;
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.swt.events.*;
+import org.eclipse.swt.events.ModifyEvent;
+import org.eclipse.swt.events.ModifyListener;
+import org.eclipse.swt.events.SelectionAdapter;
+import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.*;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.DirectoryDialog;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Text;
 import org.eclipse.swt.SWT;
 import org.rtems.cdt.Constants;
Index: org.rtems.cdt.toolchain2/plugin.xml
===================================================================
--- org.rtems.cdt.toolchain2/plugin.xml	(revision f558c69d8acbce2c828e04cd59ce85b710aa350a)
+++ org.rtems.cdt.toolchain2/plugin.xml	(revision d2802967f1c5f158aaf7b66703363a95272daa18)
@@ -8,5 +8,5 @@
    Germany
    rtems@embedded-brains.de
-   
+
    The license and distribution terms for this file may be found in the file
    LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
@@ -300,6 +300,4 @@
       </toolChain>
 
-      <!-- Toolchain (MinGW) -->
-
       <!-- Project Type -->
       <projectType
@@ -307,6 +305,5 @@
             id="org.rtems.cdt.projectType"
             name="RTEMS Executable"
-            projectEnvironmentSupplier="org.rtems.cdt.build.EnvironmentSupplier"
-            projectMacroSupplier="org.rtems.cdt.build.MacroSupplier">
+            projectEnvironmentSupplier="org.rtems.cdt.build.EnvironmentSupplier">
          <configuration
                id="org.rtems.cdt.config"
@@ -329,5 +326,5 @@
       </projectType>
    </extension>
-   
+
    <!-- New Project Wizard -->
    <extension
@@ -338,5 +335,5 @@
             pageClass="org.rtems.cdt.wizards.BasicSetup"/>
    </extension>
-   
+
    <!-- Preferences -->
    <extension
@@ -354,5 +351,5 @@
             class="org.rtems.cdt.preferences.PreferenceInitializer"/>
    </extension>
-   
+
    <!-- Properties -->
    <extension
@@ -374,5 +371,5 @@
                <instanceof value="org.eclipse.core.resources.IFolder"/>
                <instanceof value="org.eclipse.core.resources.IProject"/>
-            </or>          
+            </or>
          </enabledWhen>
       </page>
